package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.biz.Comment;
import gov.va.vinci.dart.biz.NestableComment;

public interface CommentDAO {
	
	void save(final Comment comment);
	Comment findById(final int commentId);
	List<Comment> listByActivityId(final int activityId);
	List<Comment> listAll();
	List<NestableComment> listByRequestId(final int requestId);
	void setPreviousComment(final int commentId, final int previousCommentId);
}
